package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IAutofocus<T extends Tag<T>> extends IInstance<T> {
    default T isAutofocus() {
        return self().attr("autofocus");
    }

    default T withCondAutofocus(final boolean enable) {
        return enable ? self().attr("autofocus") : self();
    }
}
