package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IDisabled<T extends Tag<T>> extends IInstance<T> {
    default T isDisabled() {
        return self().attr("disabled");
    }

    default T withCondDisabled(final boolean enable) {
        return enable ? self().attr("disabled") : self();
    }
}
