package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IDownload<T extends Tag<T>> extends IInstance<T> {
    default T isDownload() {
        return self().attr("download");
    }

    default T withCondDownload(final boolean enable) {
        return enable ? self().attr("download") : self();
    }
}
