package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IHref<T extends Tag<T>> extends IInstance<T> {
    default T withHref(final String href_) {
        return self().attr("href", href_);
    }

    default T withCondHref(final boolean enable, final String href_) {
        return enable ? self().attr("href", href_) : self();
    }
}
