package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IMin<T extends Tag<T>> extends IInstance<T> {
    default T withMin(final String min_) {
        return self().attr("min", min_);
    }

    default T withCondMin(final boolean enable, final String min_) {
        return enable ? self().attr("min", min_) : self();
    }
}
