package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOndurationchange<T extends Tag<T>> extends IInstance<T> {
    default T withOndurationchange(final String ondurationchange_) {
        return self().attr("ondurationchange", ondurationchange_);
    }

    default T withCondOndurationchange(final boolean enable, final String ondurationchange_) {
        return enable ? self().attr("ondurationchange", ondurationchange_) : self();
    }
}
