package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnloadstart<T extends Tag<T>> extends IInstance<T> {
    default T withOnloadstart(final String onloadstart_) {
        return self().attr("onloadstart", onloadstart_);
    }

    default T withCondOnloadstart(final boolean enable, final String onloadstart_) {
        return enable ? self().attr("onloadstart", onloadstart_) : self();
    }
}
