package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnsearch<T extends Tag<T>> extends IInstance<T> {
    default T withOnsearch(final String onsearch_) {
        return self().attr("onsearch", onsearch_);
    }

    default T withCondOnsearch(final boolean enable, final String onsearch_) {
        return enable ? self().attr("onsearch", onsearch_) : self();
    }
}
