package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnstorage<T extends Tag<T>> extends IInstance<T> {
    default T withOnstorage(final String onstorage_) {
        return self().attr("onstorage", onstorage_);
    }

    default T withCondOnstorage(final boolean enable, final String onstorage_) {
        return enable ? self().attr("onstorage", onstorage_) : self();
    }
}
