package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IRows<T extends Tag<T>> extends IInstance<T> {
    default T withRows(final String rows_) {
        return self().attr("rows", rows_);
    }

    default T withCondRows(final boolean enable, final String rows_) {
        return enable ? self().attr("rows", rows_) : self();
    }
}
