package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IScope<T extends Tag<T>> extends IInstance<T> {
    default T withScope(final String scope_) {
        return self().attr("scope", scope_);
    }

    default T withCondScope(final boolean enable, final String scope_) {
        return enable ? self().attr("scope", scope_) : self();
    }
}
