package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IWrap<T extends Tag<T>> extends IInstance<T> {
    default T withWrap(final String wrap_) {
        return self().attr("wrap", wrap_);
    }

    default T withCondWrap(final boolean enable, final String wrap_) {
        return enable ? self().attr("wrap", wrap_) : self();
    }
}
