package org.xbib.j2html.test.comparison.j2html;

import org.xbib.j2html.tags.specialized.HtmlTag;

import static org.xbib.j2html.TagCreator.attrs;
import static org.xbib.j2html.TagCreator.body;
import static org.xbib.j2html.TagCreator.h1;
import static org.xbib.j2html.TagCreator.head;
import static org.xbib.j2html.TagCreator.html;
import static org.xbib.j2html.TagCreator.link;
import static org.xbib.j2html.TagCreator.main;
import static org.xbib.j2html.TagCreator.title;

public class HelloWorld {

    public static HtmlTag tag = html(
        head(
            title("Title"),
            link().withRel("stylesheet").withHref("/css/main.css")
        ),
        body(
            main(attrs("#main.content"),
                h1("Heading!")
            )
        )
    );

}
