package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IAutoplay<T extends Tag<T>> extends IInstance<T> {
    default T isAutoplay() {
        return self().attr("autoplay");
    }

    default T withCondAutoplay(final boolean enable) {
        return enable ? self().attr("autoplay") : self();
    }
}
