package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IData<T extends Tag<T>> extends IInstance<T> {
    default T withData(final String data_) {
        return self().attr("data", data_);
    }

    default T withCondData(final boolean enable, final String data_) {
        return enable ? self().attr("data", data_) : self();
    }
}
