package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IDefer<T extends Tag<T>> extends IInstance<T> {
    default T isDefer() {
        return self().attr("defer");
    }

    default T withCondDefer(final boolean enable) {
        return enable ? self().attr("defer") : self();
    }
}
