package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IEnctype<T extends Tag<T>> extends IInstance<T> {
    default T withEnctype(final String enctype_) {
        return self().attr("enctype", enctype_);
    }

    default T withCondEnctype(final boolean enable, final String enctype_) {
        return enable ? self().attr("enctype", enctype_) : self();
    }
}
