package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IHeight<T extends Tag<T>> extends IInstance<T> {
    default T withHeight(final String height_) {
        return self().attr("height", height_);
    }

    default T withCondHeight(final boolean enable, final String height_) {
        return enable ? self().attr("height", height_) : self();
    }
}
