package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IHigh<T extends Tag<T>> extends IInstance<T> {
    default T withHigh(final String high_) {
        return self().attr("high", high_);
    }

    default T withCondHigh(final boolean enable, final String high_) {
        return enable ? self().attr("high", high_) : self();
    }
}
