package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IIsmap<T extends Tag<T>> extends IInstance<T> {
    default T isIsmap() {
        return self().attr("ismap");
    }

    default T withCondIsmap(final boolean enable) {
        return enable ? self().attr("ismap") : self();
    }
}
