package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface ILoop<T extends Tag<T>> extends IInstance<T> {
    default T isLoop() {
        return self().attr("loop");
    }

    default T withCondLoop(final boolean enable) {
        return enable ? self().attr("loop") : self();
    }
}
