package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IMuted<T extends Tag<T>> extends IInstance<T> {
    default T isMuted() {
        return self().attr("muted");
    }

    default T withCondMuted(final boolean enable) {
        return enable ? self().attr("muted") : self();
    }
}
