package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnemptied<T extends Tag<T>> extends IInstance<T> {
    default T withOnemptied(final String onemptied_) {
        return self().attr("onemptied", onemptied_);
    }

    default T withCondOnemptied(final boolean enable, final String onemptied_) {
        return enable ? self().attr("onemptied", onemptied_) : self();
    }
}
