package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnstalled<T extends Tag<T>> extends IInstance<T> {
    default T withOnstalled(final String onstalled_) {
        return self().attr("onstalled", onstalled_);
    }

    default T withCondOnstalled(final boolean enable, final String onstalled_) {
        return enable ? self().attr("onstalled", onstalled_) : self();
    }
}
