package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IOnunload<T extends Tag<T>> extends IInstance<T> {
    default T withOnunload(final String onunload_) {
        return self().attr("onunload", onunload_);
    }

    default T withCondOnunload(final boolean enable, final String onunload_) {
        return enable ? self().attr("onunload", onunload_) : self();
    }
}
