package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IPlaceholder<T extends Tag<T>> extends IInstance<T> {
    default T withPlaceholder(final String placeholder_) {
        return self().attr("placeholder", placeholder_);
    }

    default T withCondPlaceholder(final boolean enable, final String placeholder_) {
        return enable ? self().attr("placeholder", placeholder_) : self();
    }
}
