package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IPoster<T extends Tag<T>> extends IInstance<T> {
    default T withPoster(final String poster_) {
        return self().attr("poster", poster_);
    }

    default T withCondPoster(final boolean enable, final String poster_) {
        return enable ? self().attr("poster", poster_) : self();
    }
}
