package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IPreload<T extends Tag<T>> extends IInstance<T> {
    default T withPreload(final String preload_) {
        return self().attr("preload", preload_);
    }

    default T withCondPreload(final boolean enable, final String preload_) {
        return enable ? self().attr("preload", preload_) : self();
    }
}
