package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface IReadonly<T extends Tag<T>> extends IInstance<T> {
    default T isReadonly() {
        return self().attr("readonly");
    }

    default T withCondReadonly(final boolean enable) {
        return enable ? self().attr("readonly") : self();
    }
}
