package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface ISelected<T extends Tag<T>> extends IInstance<T> {
    default T isSelected() {
        return self().attr("selected");
    }

    default T withCondSelected(final boolean enable) {
        return enable ? self().attr("selected") : self();
    }
}
