package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface ISrcset<T extends Tag<T>> extends IInstance<T> {
    default T withSrcset(final String srcset_) {
        return self().attr("srcset", srcset_);
    }

    default T withCondSrcset(final boolean enable, final String srcset_) {
        return enable ? self().attr("srcset", srcset_) : self();
    }
}
