package org.xbib.j2html.tags.attributes;

import org.xbib.j2html.tags.IInstance;
import org.xbib.j2html.tags.Tag;

public interface ITarget<T extends Tag<T>> extends IInstance<T> {
    default T withTarget(final String target_) {
        return self().attr("target", target_);
    }

    default T withCondTarget(final boolean enable, final String target_) {
        return enable ? self().attr("target", target_) : self();
    }
}
